import type { Plugin } from 'vite'
import { configUniPlugin } from './uni'
import { configAutoImportPlugin } from './autoImport'
import pkg from '../../package.json'

export function createVitePlugins(viteEnv: ViteEnv) {
    const { VITE_GLOB_APP_NAME, VITE_GLOB_APP_DESCRIPTION, VITE_GLOB_API_URL, VITE_GLOB_API_URL_PREFIX } = viteEnv

    // 以红色字体输出信息
    const color = '\x1b[91m'
    console.log()
    console.log(color, `APP 版本: v${pkg.version}`)
    console.log(color, `APP 名称: ${VITE_GLOB_APP_NAME}`)
    console.log(color, `APP 描述: ${VITE_GLOB_APP_DESCRIPTION}`)
    console.log(color, `API Doc: ${VITE_GLOB_API_URL}${VITE_GLOB_API_URL_PREFIX}/doc.html`)
    console.log()

    // plugins
    const vitePlugins: (Plugin | Plugin[])[] = []

    // uni-app
    vitePlugins.push(configUniPlugin())

    // unplugin-auto-import
    vitePlugins.push(configAutoImportPlugin())

    return vitePlugins
}
